#!/bin/sh
#
# Run the LDAP Browser/Editor LBE

# Definitions
LBE_APP="/usr/share/lbe"
LBE_HOME="${HOME}/.lbe"
JAVA="${JAVA:-java}"
OPTS="-Djava.net.preferIPv4Stack=true"

# Check for java
"${JAVA}" -version >/dev/null 2>&1 || {
  echo "Java executable not found or not working!"
  echo "Set JAVA=/path/to/java in your environment."
  exit 1
}

# Check for work directory
[ -e "${LBE_HOME}" -a ! -d "${LBE_HOME}" ] && {
  echo "Work directory \"${LBE_HOME}\" exists but is not a directory."
  exit 1
}

umask 0077

[ -d "${LBE_HOME}" ] || {
  mkdir "${LBE_HOME}" || exit 1

  cp    "${LBE_APP}"/*.cfg     "${LBE_HOME}"
  cp    "${LBE_APP}"/*.config  "${LBE_HOME}"
  cp -r "${LBE_APP}"/templates "${LBE_HOME}"
  ln -s "${LBE_APP}"/help      "${LBE_HOME}"
}

# Run LBE
cd "${LBE_HOME}" || exit 1
"${JAVA}" ${OPTS} -jar "${LBE_APP}"/lbe.jar $@
exit ${?}
